# OAIMessage

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_id** | **NSString*** | unique id | [optional] 
**body** | **NSString*** | text message for type \&quot;chat\&quot;, or link to download the file for \&quot;ptt\&quot;, \&quot;image\&quot;, \&quot;audio\&quot;, \&quot;video\&quot; and \&quot;document\&quot;, or latitude and longitude for \&quot;location\&quot;, or message \&quot;[Call]\&quot; for \&quot;call_log\&quot; | [optional] 
**type** | **NSString*** | type of the message | [optional] 
**senderName** | **NSString*** | Sender name | [optional] 
**fromMe** | **NSNumber*** | true - outgoing, false - incoming | [optional] 
**author** | **NSString*** | Author ID of the message, useful for groups | [optional] 
**time** | **NSNumber*** | send time, unix timestamp | [optional] 
**chatId** | **NSString*** | chat ID | [optional] 
**messageNumber** | **NSNumber*** | sequence number of the message in the database | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


