#import "OAISettings.h"

@implementation OAISettings

- (instancetype)init {
  self = [super init];
  if (self) {
    // initialize property's default value, if any
    
  }
  return self;
}


/**
 * Maps json key to property name.
 * This method is used by `JSONModel`.
 */
+ (JSONKeyMapper *)keyMapper {
  return [[JSONKeyMapper alloc] initWithModelToJSONDictionary:@{ @"webhookUrl": @"webhookUrl", @"ackNotificationsOn": @"ackNotificationsOn", @"chatUpdateOn": @"chatUpdateOn", @"videoUploadOn": @"videoUploadOn", @"proxy": @"proxy", @"guaranteedHooks": @"guaranteedHooks", @"ignoreOldMessages": @"ignoreOldMessages", @"processArchive": @"processArchive", @"instanceStatuses": @"instanceStatuses", @"webhookStatuses": @"webhookStatuses", @"statusNotificationsOn": @"statusNotificationsOn" }];
}

/**
 * Indicates whether the property with the given name is optional.
 * If `propertyName` is optional, then return `YES`, otherwise return `NO`.
 * This method is used by `JSONModel`.
 */
+ (BOOL)propertyIsOptional:(NSString *)propertyName {

  NSArray *optionalProperties = @[@"webhookUrl", @"ackNotificationsOn", @"chatUpdateOn", @"videoUploadOn", @"proxy", @"guaranteedHooks", @"ignoreOldMessages", @"processArchive", @"instanceStatuses", @"webhookStatuses", @"statusNotificationsOn"];
  return [optionalProperties containsObject:propertyName];
}

@end
